import { ContentType } from './Constants';
interface ExtractFromPlainOptions {
    maxLinesCount?: number;
}
interface ExtractFromPlainResult {
    body: string;
    didFindQuote: boolean;
}
export declare function extractFromPlain(messageBody: string, options?: ExtractFromPlainOptions): ExtractFromPlainResult;
interface ExtractFromHtmlOptions {
    nodeLimit?: number;
    maxLinesCount?: number;
    skipSimpleQuoteRemoval?: boolean;
}
interface ExtractFromHtmlResult extends ExtractFromPlainResult {
    didUseCheckpoints?: boolean;
    isForwardedMessage?: boolean;
    isTooLong?: boolean;
}
export declare function extractFromHtml(messageBody: string, options?: ExtractFromHtmlOptions): ExtractFromHtmlResult;
export declare function preprocess(messageBody: string, delimiter: string, contentType?: ContentType): string;
export declare function markMessageLines(lines: string[]): string;
export declare function processMarkedLines(lines: string[], markers: string): {
    isForwardedMessage: boolean;
    firstDeletedLine: number;
    lastDeletedLine: number;
    lastMessageLines: string[];
    wereLinesDeleted: boolean;
};
export {};
