"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Constants_1 = require("./Constants");
exports.CheckPointRegexp = new RegExp(`${Constants_1.CheckpointPrefix}\\d+${Constants_1.CheckpointSuffix}`, "im");
exports.DelimiterRegexp = new RegExp("\\r?\\n");
exports.ForwardRegexp = new RegExp("^[-\\w]+[ ]*Forwarded message(:|[ ]*-+)$", "im");
exports.OnDateSomebodyWroteRegexp = new RegExp(`-{0,100}[>]?[\\s]?(${[
    "On",
    "Le",
    "Il",
    "W dniu",
    "Op",
    "Am",
    "På",
    "Den",
    "Em",
    "El"
].join("|")})[\\s].{0,100}(${[
    ",",
    "użytkownik"
].join("|")})(.*\\n){0,2}.{0,100}(${[
    "wrote", "sent",
    "a écrit",
    "napisał",
    "schreef", "verzond", "geschreven",
    "schrieb",
    "skrev",
    "escreveu",
    "escribió",
    "ha scritto"
].join("|")}):?-{0,100}`);
exports.OnDateWroteSomebodyRegexp = new RegExp(`-{0,100}[>]?[\\s]?(${[
    "Op",
    "Am"
].join("|")})[\\s].{0,100}(.*\\n){0,2}.{0,100}(${[
    "schreef", "verzond", "geschreven",
    "schrieb"
].join("|")}).{0,100}:`);
exports.QuotationAfterSplitterRegexp = new RegExp("(?:" +
    "(" +
    "s" +
    ".*" +
    "me*" +
    ")" +
    "[te]*$" +
    ")");
exports.QuotationBlockRegexp = new RegExp("(?:" +
    "(" +
    "(?:me*){2,}" +
    ".*" +
    "me*" +
    ")" +
    "e*$" +
    ")");
exports.EmptyQuotationAfterSplitterRegexp = new RegExp("(" +
    "(?:se*)+" +
    ")" +
    "e*");
exports.EmptyQuotationBlockRegexp = new RegExp("(" +
    "(?:me*){2,}" +
    ")" +
    "e*$");
exports.OriginalMessageRegexp = new RegExp(`[\\s]*[-]+[ ]{0,100}(${[
    "Original Message", "Reply Message",
    "Ursprüngliche Nachricht", "Antwort Nachricht",
    "Oprindelig meddelelse"
].join("|")})[ ]{0,100}[-]+`, "i");
exports.FromColonRegexp = new RegExp(`(_+\\r?\\n)?[\\s]*(:?[*]?${[
    "From",
    "Van",
    "De",
    "Von",
    "Von",
    "Fra",
    "Från"
].join("|")})[\\s]?:[\\S\\s]*(@|${[
    "Sent",
    "Verzonden",
    "Envoyé",
    "Gesendet",
    "Datum",
    "Sendt",
    "Skickat",
    "Enviada em",
    "Inviato"
].join("|")})`, "i");
exports.DateColonRegexp = new RegExp(`(_+\\r?\\n)?[\\s]*(:?[*]?${[
    "Date", "Datum", "Envoyé", "Skickat", "Sendt"
].join("|")})[\\s]?:[*]? .*`, "i");
exports.SplitterRegexps = [
    exports.OriginalMessageRegexp,
    exports.OnDateSomebodyWroteRegexp,
    exports.OnDateWroteSomebodyRegexp,
    exports.FromColonRegexp,
    exports.DateColonRegexp,
    new RegExp("(\\d+\\/\\d+\\/\\d+|\\d+\\.\\d+\\.\\d+)[^]*@"),
    new RegExp("\\d{4}-\\d{2}-\\d{2}\\s+\\d{2}:\\d{2}\\s+GMT[^]*@"),
    new RegExp("\\S{3,10}, \\d\\d? \\S{3,10} 20\\d\\d,? \\d\\d?:\\d\\d(:\\d\\d)?( \\S+){3,6}@\\S+:"),
    new RegExp("Sent from Samsung .{0,100}@.{0,100}> wrote")
];
exports.LinkRegexp = new RegExp("<(http://[^>]*)>");
exports.NormalizedLinkRegexp = new RegExp("@@(http://[^>@]*)@@");
exports.ParenthesisLinkRegexp = new RegExp("\\(https?://");
exports.QuotePatternRegexp = new RegExp("^>+ ?");
exports.NoQuoteLineRegexp = new RegExp("^[^>].*[\\S].*");
//# sourceMappingURL=Regexp.js.map